SDL_test_font.h File Reference
`#include "begin_code.h"`
`#include "close_code.h"`
Include dependency graph for SDL_test_font.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SDLTest_TextWindow

## Macros

#define | FONT_CHARACTER_SIZE 8
#define | FONT_LINE_HEIGHT (FONT_CHARACTER_SIZE + 2)

## Functions

int | SDLTest_DrawCharacter (SDL_Renderer *renderer, int x, int y, Uint32 c)
int | SDLTest_DrawString (SDL_Renderer *renderer, int x, int y, const char *s)
SDLTest_TextWindow * | SDLTest_TextWindowCreate (int x, int y, int w, int h)
void | SDLTest_TextWindowDisplay (SDLTest_TextWindow *textwin, SDL_Renderer *renderer)
void | SDLTest_TextWindowAddText (SDLTest_TextWindow *textwin, SDL_PRINTF_FORMAT_STRING const char *fmt,...) SDL_PRINTF_VARARG_FUNC(2)
void | SDLTest_TextWindowAddTextWithLength (SDLTest_TextWindow *textwin, const char *text, size_t len)
void | SDLTest_TextWindowClear (SDLTest_TextWindow *textwin)
void | SDLTest_TextWindowDestroy (SDLTest_TextWindow *textwin)
void | SDLTest_CleanupTextDrawing (void)

## Macro Definition Documentation

## FONT_CHARACTER_SIZE

#define FONT_CHARACTER_SIZE 8

Definition at line 41 of file SDL_test_font.h.

## FONT_LINE_HEIGHT

#define FONT_LINE_HEIGHT (FONT_CHARACTER_SIZE + 2)

Definition at line 42 of file SDL_test_font.h.

## Function Documentation

## SDLTest_CleanupTextDrawing()

void SDLTest_CleanupTextDrawing | ( | void |  | ) |

References SDLTest_CleanupTextDrawing().

Referenced by SDLTest_CleanupTextDrawing().

## SDLTest_DrawCharacter()

int SDLTest_DrawCharacter | ( | SDL_Renderer * | renderer,
|  | int | x,
|  | int | y,
|  | Uint32 | c )

## SDLTest_DrawString()

int SDLTest_DrawString | ( | SDL_Renderer * | renderer,
|  | int | x,
|  | int | y,
|  | const char * | s )

## SDLTest_TextWindowAddText()

void SDLTest_TextWindowAddText | ( | SDLTest_TextWindow * | textwin,
|  | SDL_PRINTF_FORMAT_STRING const char * | fmt,
|  |  | ... )

References SDL_PRINTF_FORMAT_STRING, and SDL_PRINTF_VARARG_FUNC.

## SDLTest_TextWindowAddTextWithLength()

void SDLTest_TextWindowAddTextWithLength | ( | SDLTest_TextWindow * | textwin,
|  | const char * | text,
|  | size_t | len )

References SDLTest_TextWindowAddTextWithLength().

Referenced by SDLTest_TextWindowAddTextWithLength().

## SDLTest_TextWindowClear()

void SDLTest_TextWindowClear | ( | SDLTest_TextWindow * | textwin | ) |

References SDLTest_TextWindowClear().

Referenced by SDLTest_TextWindowClear().

## SDLTest_TextWindowCreate()

SDLTest_TextWindow * SDLTest_TextWindowCreate | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h )

## SDLTest_TextWindowDestroy()

void SDLTest_TextWindowDestroy | ( | SDLTest_TextWindow * | textwin | ) |

References SDLTest_TextWindowDestroy().

Referenced by SDLTest_TextWindowDestroy().

## SDLTest_TextWindowDisplay()

void SDLTest_TextWindowDisplay | ( | SDLTest_TextWindow * | textwin,
|  | SDL_Renderer * | renderer )